Show TOC

 SAP R/3 Plug-In

SAP R/3 Plug-Ins are interfaces that enable the exchange of data between one or more SAP R/3 systems and other SAP components. The SAP R/3 Plug-Ins supply the SAP components from SAP R/3 3.1I to SAP ECC 5.00 with transaction and master data in real time. They enable you to use SAP application components such as SAP SCM or SAP CRM along with certain SAP industry-specific components. All SAP industry-specific components based on SAP R/3 4.6B or higher require SAP R/3 Plug-Ins . SAP R/3 Plug-Ins are Add-Ons to SAP R/3 .

SAP ERP Central Component 6.0 ( SAP ECC 6.00 ) and later releases will directly contain all the interfaces necessary for the technical integration with other SAP components. These interfaces were previously part of the SAP R/3 Plug-In .

Availability

SAP R/3 Plug-Ins are shipped with SAP application components (for example, SAP SCM , SAP BW , SAP SRM , or SAP CRM ), as well as with SAP industry-specific components based on SAP R/3 4.6B or higher. Customers can download all available SAP R/3 Plug-In releases free from the SAP Service Marketplace.

SAP R/3 Plug-In 2004.1 is the last SAP-R/3 Plug-In release to be delivered separately.

In the future, new and enhanced interfaces for integrating SAP R/3 , SAP R/3 Enterprise , and SAP ECC will no longer be shipped in the form of a separate Add-On ( SAP R/3 Plug-In ).

This means that:

  • SAP ECC 6.00 and later releases will directly contain all the interfaces necessary for the technical integration with other SAP components. These interfaces were previously part of the SAP R/3 Plug-In .

  • Customers who use SAP R/3 4.6C , SAP R/3 Enterprise 47x100 or 47x200 , or SAP ECC 5.00 will receive additional integration interfaces via a Support Package for SAP R/3 Plug-In 2004.1 as part of the maintenance package and synchronized with the future SAP Business Suite shipment . The shipment for 2005 is in November 2005 with Support Package 10 of SAP R/3 Plug-In 2004.1.

    This applies to customers with SAP R/3 Plug-In 2004.1 only. Customers with SAP R/3 Plug-In 2003.1 or older may need to perform an upgrade to SAP R/3 Plug-In 2004.1 or SAP ECC 6.00 .

  • Customers who use SAP R/3 3.1I to 4.6B will not receive any additional interfaces for new SAP component releases.

Versions of the SAP R/3 Plug-In

For SAP R/3 Plug-In releases up to and including 2002.1 , SAP provides two versions of the SAP R/3 Plug-In : a PI version for SAP R/3 3.1I to 4.6C and SAP R/3 Enterprise 47x110 and 47x200 , and a PI-A version for SAP R/3 3.1I to 4.5B .

As of SAP R/3 Plug-In 2002.2 , there is only one PI version for all SAP R/3 releases and SAP R/3 Enterprise .

The PI-A version is a subset of PI and contains interfaces for SAP BW . For SAP R/3 3.1I , the PI-A version also supports SAP BBP , SAP EBP , SAP SRM , and SAP Internet Sales . The PI version supports all SAP components that require an SAP R/3 Plug-In .

For SAP R/3 3.1l , the PI version of the SAP R/3 Plug-In is modifying. For SAP R/3 4.0B to 4.6C , the PI version of the SAP R/3 Plug-In is non-modifying. The PI-A version of the SAP R/3 Plug-In is generally non-modifying.

Overview of PI Versions

SAP R/3 Release

SAP R/3 Plug-In Version: PI

SAP R/3 Plug-In Version: PI-A

SAP R/3 3.1I

Supported; modifying

Supported; non-modifying

SAP R/3 4.0B

Supported; non-modifying

Supported; non-modifying

SAP R/3 4.5B

Supported; non-modifying

Supported; non-modifying

SAP R/3 4.6B

Supported; non-modifying

Not supported

SAP R/3 4.6C

Supported; non-modifying

Not supported

SAP R/3 Enterprise 47x110, 47x200

Supported; non-modifying

Not supported

Installation

Depending on the combination of the SAP R/3 Plug-In release and version and the SAP R/3 release, certain SAP R/3 Support Package levels are required to install SAP R/3 Plug-Ins . For SAP R/3 3.1I , the PI version can only be installed at a Support Package level for which a CRT is provided.

Non-modifying SAP R/3 Plug-Ins that are installed at the minimum Support Package level require the installation of additional SAP Notes to guarantee complete functional integration. We therefore recommend that you install the most recent SAP R/3 Support Package before the SAP R/3 Plug-In . This is because the most recent Support Package also contains the most recent SAP Notes.

Upgrade

SAP R/3 Plug-Ins are downward compatible with older SAP R/3 Plug-In releases, as well as with older releases of SAP components, provided these components are still in maintenance.

  • When upgrading, no SAP R/3 Plug-In release may be missed out.

  • It is always possible to change from a PI-A version to a PI version. It is not possible to change from a PI version to a PI-A version.

After an upgrade of SAP R/3 , you must adapt the SAP R/3 Plug-In too. Import the SAP R/3 Plug-In supplement CD that SAP provides for every SAP R/3 Plug-In release shortly after the software becomes available for initial installation.

When you upgrade to SAP ECC 6.00 or higher, the integration interfaces are already included as part of the shipment. You no longer need an SAP R/3 upgrade supplement when upgrading to SAP ECC 6.0 . The SAP R/3 Plug-In is no longer visible as a separate software component in system table CVERS. The objects shipped up to now with the SAP R/3 Plug-In are assigned to the software components SAP_APPL or SAP_HR.

Maintenance

Since SAP R/3 Plug-In 2004.1 is the last SAP R/3 Plug-In release, the general maintenance strategy has changed, as follows:

  • The maintenance of the SAP R/3 Plug-In 2004.1 for SAP R/3 3.I to SAP R/3 4.6B comes to an end, in general, at the end of the extended maintenance of the relevant SAP R/3 release, in other words, on 31.12.2006. Up to this point in time, SAP R/3 Plug-In Support Packages will be made available, but they will contain corrections only and no new integration interfaces.

  • The maintenance of the SAP R/3 Plug-In 2004.1 for SAP R/3 4.6C , SAP R/3 Enterprise 47x110 and 47x200 , and SAP ECC 5.00 also comes to an end, in general, at the end of the extended maintenance of the relevant release, in other words, on 31.12.2009 for SAP R/3 4.6C , on 31.03.2012 for SAP R/3 Enterprise 47x110 and 47x200 , and on 31.03.2013 for SAP ECC 5.00 .

    For this release, the SAP R/3 Plug-In 2004.1 will be maintained with Support Packages that contain corrections to errors. Moreover, additional integration interfaces will be shipped once a year in a Support Package synchronized with the future SAP Business Suite shipment.

  • SAP R/3 Plug-In 2003.1 is currently maintained via SAP Notes. The mainstream maintenance comes to an end on 31.01.2006.

More Information

For more information, see the following SAP Notes:

  • SAP Note 214503: Release Strategy SAP R/3 Plug-In

  • SAP Note 181255: Composite SAP Note SAP R/3 Plug-In

For more information about availability, supported SAP component releases, maintenance, upgrades, required Support Package Levels, CRT availability, and so on, see the SAP Service Marketplace at http://service.sap.com/r3-plug-in.

SAP Basis Plug-In

The SAP Basis Plug-In is a software component that provides SAP components with BW service API technology as well as functions from CRM Middleware, Supply Chain Event Management, and Financial Basis to establish a connection to these systems.

The SAP Basis Plug-In is an Add-On that can be installed on an SAP Web Application Server or a product that is based on SAP BASIS 620 and SAP ABA 620 or a higher release of these software components.

Unlike the SAP R/3 Plug-In , the SAP Basis Plug-In will continue to be shipped separately. It is also part of the SAP ECC shipment. The SAP Basis Plug-In 2005.1 has been available since August 2005 and will be included in the SAP ECC 6.00 shipment.

Until now, the SAP R/3 Plug-In always required a certain SAP Basis Plug-In release. Previously, when you upgraded the SAP R/3 Plug-In to SAP R/3 Plug-In 2004.1 , for example, you had to first upgrade the SAP Basis Plug-In to SAP Basis Plug-In 2004.1.

As of SAP Basis Plug-In 2005.1 , the rule regarding a corresponding release name no longer exists. In the future, the Support Package shipped for the SAP R/3 Plug-In 2004.1 that contains new interfaces will require a certain SAP Basis Plug-In . Support Package 10 for SAP R/3 Plug-In 2004.1 requires SAP Basis Plug-In 2005.1 .

For more information, see the SAP Service Marketplace at http://service.sap.com/basis-plug-in.